Download it now!
Bug 129887 - CRASH: Scrolling down document
Summary: CRASH: Scrolling down document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0
Keywords: bibisected, bisected, haveBacktrace, needUITest, regression
Depends on:
Blocks: 129708
  Show dependency treegraph
 
Reported: 2020-01-08 15:40 UTC by Xisco Faulí
Modified: 2020-01-16 12:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (364.00 KB, application/msword)
2020-01-08 15:40 UTC, Xisco Faulí
Details
gdb bt (47.24 KB, text/plain)
2020-01-08 20:00 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-01-08 15:40:29 UTC
Created attachment 157009 [details]
Sample document

Steps to reproduce:
1. Open attached document
2. Scroll down to page 6/7 or use PageDown key

-> Crash

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: 4f6d95ead1286748810e937c7672de08b8b39a38
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-01-08 15:43:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=92ccf53b2a8102299ac2c3e2612bb507d3a79c0f

author	Serge Krot <Serge.Krot@cib.de>	2020-01-03 20:08:45 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2020-01-06 15:55:25 +0100
commit	92ccf53b2a8102299ac2c3e2612bb507d3a79c0f (patch)
tree	8e531d755fc6876db72a4d48f8bd702728a2043f
parent	f29a5020ee7bbfff1860cdd94c271ef30937fa95 (diff)
tdf#129708 speed-up: check if we could create outline instead of creation of it

Bisected with: bibisect-linux64-6.5

Adding Cc: to Serge Krot
Comment 2 Julien Nabet 2020-01-08 20:00:19 UTC
Created attachment 157016 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce the crash.
I attached bt with all console logs before bt.
Comment 3 Julien Nabet 2020-01-08 20:00:59 UTC
Crash + regression => increase importance.
Comment 4 Julien Nabet 2020-01-08 20:18:27 UTC
This patch should be sufficient (at least no crash for me with it):
diff --git a/svx/source/accessibility/AccessibleShape.cxx b/svx/source/accessibility/AccessibleShape.cxx
index 1c0f1e83880e..15004ee79947 100644
--- a/svx/source/accessibility/AccessibleShape.cxx
+++ b/svx/source/accessibility/AccessibleShape.cxx
@@ -159,7 +159,7 @@ void AccessibleShape::Init()
             if( pSdrObject )
             {
                 SdrTextObj* pTextObj = dynamic_cast<SdrTextObj*>( pSdrObject  );
-                const bool hasOutlinerParaObject = pTextObj->CanCreateEditOutlinerParaObject() || pSdrObject->GetOutlinerParaObject() != nullptr;
+                const bool hasOutlinerParaObject = (pTextObj && pTextObj->CanCreateEditOutlinerParaObject()) || pSdrObject->GetOutlinerParaObject() != nullptr;
 
                 // create AccessibleTextHelper to handle this shape's text
                 if( !hasOutlinerParaObject )
Comment 5 Serge Krot (CIB) 2020-01-08 20:21:38 UTC
https://gerrit.libreoffice.org/c/core/+/86454
Comment 6 Commit Notification 2020-01-08 21:27:28 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a3c3f21a742f7c7f587bd63ee2617a150bb39b96

tdf#129887: fix crash during scrolling down document

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-01-08 23:59:37 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/75265fad67c38827aec074e99e010109f9219079

tdf#129887: fix crash during scrolling down document

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-01-09 08:32:09 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 838935758a5ec8e0e68f4df0cf5bfcf737e3f6f2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Serge, thanks for fixing this issue!!
Comment 9 Commit Notification 2020-01-09 08:36:29 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-0":

https://git.libreoffice.org/core/commit/1561a4f3f595bea5f0fe201310b04600704e2ea1

tdf#129887: fix crash during scrolling down document

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Julien Nabet 2020-01-09 10:13:20 UTC
Let's simplify targets.
Comment 11 Xisco Faulí 2020-01-16 12:09:11 UTC
I guess we can close this one as VERIFIED FIXED